org.apache.xalan.xsltc.dom

## Class DocumentCache.CachedDocument

- java.lang.Object
- - org.apache.xalan.xsltc.dom.DocumentCache.CachedDocument

Enclosing class:
  DocumentCache

    public final class DocumentCache.CachedDocument
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DocumentCache.CachedDocument(java.lang.String uri)` Constructor - load document and initialise statistics

### Method Summary

Methods
`long` `getAccessCount()`
`DOM` `getDocument()`
`long` `getEstimatedSize()`
`long` `getFirstReferenced()`
`long` `getLastChecked()`
`long` `getLastModified()`
`long` `getLastReferenced()`
`long` `getLatency()`
`void` `incAccessCount()`
`void` `loadDocument(java.lang.String uri)` Loads the document and updates build-time (latency) statistics
`void` `setLastChecked(long t)`
`void` `setLastModified(long t)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DocumentCache.CachedDocument

    public DocumentCache.CachedDocument(java.lang.String uri)

Constructor - load document and initialise statistics

### Method Detail

#### loadDocument

    public void loadDocument(java.lang.String uri)

Loads the document and updates build-time (latency) statistics

#### getDocument

    public DOM getDocument()

#### getFirstReferenced

    public long getFirstReferenced()

#### getLastReferenced

    public long getLastReferenced()

#### getAccessCount

    public long getAccessCount()

#### incAccessCount

    public void incAccessCount()

#### getLastModified

    public long getLastModified()

#### setLastModified

    public void setLastModified(long t)

#### getLatency

    public long getLatency()

#### getLastChecked

    public long getLastChecked()

#### setLastChecked

    public void setLastChecked(long t)

#### getEstimatedSize

    public long getEstimatedSize()